CONSOLATION(8)

NAME
  consolation -- copy-paste for the Linux console

SYNOPSIS
  consolation [libinput options]

DESCRIPTION
  Consolation is a daemon that provide copy-paste and scrolling support to the
  Linux console.

  It is based on the libinput library and supports all pointer devices and
  settings provided by this library,

  Similar software include gpm and jamd.

  Operations:
  left button: start selection
  middle button: paste selection
  right button: set end of selection
  wheel: scroll
  double left click: select word
                     (see --word-chars for the definition of a word.)
  triple left click: select line

  Button actions can be redefined with the --map 'button=action' option.
  Action names are 'select', 'paste', 'endselect'.
  Button names are 'BTN_LEFT', 'BTN_MIDDLE', 'BTN_RIGHT'.
  Other evdev button names are also supported.

  By default, if the terminal requests mouse report, mouse actions
  are reported to the terminal instead of being performed.

  It supports all the standard libinput options.

--udev <seat>.... Use udev device discovery (default).

    Specifying a seat ID is optional.

--device /path/to/device .... open the given device(s) only

--apply-to="pattern"....  Configuration options are only applied where the device name matches the pattern

--disable-sendevents="pattern".... Set the send-events option to disabled for the devices matching patterns

Features:

--enable-tap

--disable-tap.... enable/disable tapping

--enable-drag

--disable-drag.... enable/disable tap-n-drag

--enable-drag-lock

--disable-drag-lock.... enable/disable tapping drag lock

--enable-natural-scrolling

--disable-natural-scrolling.... enable/disable natural scrolling

--enable-left-handed

--disable-left-handed.... enable/disable left-handed button configuration

--enable-middlebutton

--disable-middlebutton.... enable/disable middle button emulation

--enable-dwt

--disable-dwt.... enable/disable disable-while-typing

--enable-dwtp

--disable-dwtp.... enable/disable disable-while-trackpointing

--enable-scroll-button-lock

--disable-scroll-button-lock.... enable/disable the scroll button lock

--set-click-method=[none|clickfinger|buttonareas] .... set the desired click method

--set-scroll-method=[none|twofinger|edge|button] ... set the desired scroll method

--set-scroll-button=BTN_MIDDLE ... set the button to the given button code

--set-speed=<value>.... set pointer acceleration speed (allowed range [-1, 1])

--set-tap-map=[lrm|lmr] ... set button mapping for tapping

--set-rotation-angle=<degrees>.... set the rotation angle in degrees (0 to 360)

--set-profile=[adaptive|flat|custom].... set pointer acceleration profile
    If profile is custom:

--set-custom-points=0.0;1.0 set the n points defining a custom acceleration function

--set-custom-step=1.0 sets the distance along the x-axis between each point, starting from 0

--set-custom-type=[fallback|motion|scroll] set the type of the custom acceleration function

These options apply to all applicable devices, if a feature is not explicitly specified it is left at each device's default.

Other options:

--word-chars=<string>.... list of characters that make up words.

    Ranges (a-z, A-Z, 0-9 etc.) are allowed.

--grab .......... exclusively grab all opened devices.

--map button=action .... set button to action.

--no-daemon ..... do not detach and run in the background.

--disable-mouse-reporting .... disable mouse reporting.

--verbose ....... print debugging output.

--version ....... print version information.

--help .......... print this help.

LICENSE
  Copyright © 2016 Bill Allombert

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

HOMEPAGE
  https://salsa.debian.org/consolation-team/consolation/

AUTHOR
  Bill Allombert <ballombe@debian.org>

SEE ALSO
  gpm(8)